Create borrow market transaction
curl --request GET \
--url https://api.vaults.fyi/beta/borrow/markets/transactions/{action}/{userAddress}/{network}/{marketId}/{assetId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.vaults.fyi/beta/borrow/markets/transactions/{action}/{userAddress}/{network}/{marketId}/{assetId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.vaults.fyi/beta/borrow/markets/transactions/{action}/{userAddress}/{network}/{marketId}/{assetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"currentActionIndex": 123,
"actions": [
{
"name": "<string>",
"tx": {
"to": "<string>",
"chainId": 1,
"data": "<string>",
"value": "<string>"
},
"simulation": {
"url": "<string>",
"tokensReceived": {},
"tokensSpent": {}
}
}
]
}{
"statusCode": 123,
"error": "Bad Request",
"message": "<string>",
"errorId": "<string>"
}{
"error": "Unauthorized",
"message": "An API key is required to access this service. Sign up at https://portal.vaults.fyi/signup to generate a key. We offer a Pay-As-You-Go plan so you only pay for what you use, with no commitments.",
"errorId": "<string>"
}{
"x402Version": 123,
"resource": {
"url": "<string>",
"description": "<string>",
"mimeType": "<string>",
"serviceName": "<string>",
"tags": [
"<string>"
],
"iconUrl": "<string>"
},
"error": "<string>",
"accepts": [
{
"scheme": "exact",
"network": "<string>",
"amount": "<string>",
"payTo": "<string>",
"maxTimeoutSeconds": 123,
"asset": "<string>",
"extra": {
"name": "<string>",
"version": "<string>"
}
}
],
"extensions": {}
}{
"error": "Forbidden",
"message": "This API key has exhausted its available credits. To resume service, please visit https://portal.vaults.fyi/signup to top-up your credits",
"errorId": "<string>"
}{
"error": "Not Found",
"message": "<string>"
}{
"message": "<string>",
"errorId": "<string>"
}{
"statusCode": 123,
"error": "Unprocessable Entity",
"message": "<string>",
"errorId": "<string>"
}{
"error": "Internal Server Error",
"message": "<string>",
"errorId": "<string>"
}{
"statusCode": 123,
"error": "Service Unavailable",
"message": "<string>",
"errorId": "<string>"
}Borrow Markets
Create borrow market transaction
Generates payloads for borrow market supply, withdraw, borrow, or repay transactions.
GET
/
beta
/
borrow
/
markets
/
transactions
/
{action}
/
{userAddress}
/
{network}
/
{marketId}
/
{assetId}
Create borrow market transaction
Authorizations
Path Parameters
Canonical network slug
Available options:
mainnet, optimism, arbitrum, polygon, gnosis, base, unichain, swellchain, celo, worldchain, berachain, ink, bsc, hyperliquid, plasma, avalanche, katana, linea, mega-eth, monad, etherlink, robinhood Canonical market identifier
Minimum string length:
1Address of the user whose borrow market transactions context is requested
Pattern:
^0x[a-fA-F0-9]{40}$Market asset identifier
Minimum string length:
1Action to generate for borrow market transactions
Available options:
supply, withdraw, borrow, repay Query Parameters
Amount of the asset to use in the transactions request
If true, withdraw or repay the full available amount
⌘I

